## org.eclipse.amp.amf.examples.escape
Class SimpleDrawFigureProvider

    java.lang.Object
      org.eclipse.amp.agf.gef.DefaultFigureProvider
          org.eclipse.amp.amf.examples.escape.SimpleDrawFigureProvider

All Implemented Interfaces:
  IFigureProvider

    public class SimpleDrawFigureProvider

extends DefaultFigureProvider

Simple Draw Java Implementation. Generated by AMF for model: WikiExample.metaabm in project: org.eclipse.amp.amf.examples.escape

Constructor Summary
`SimpleDrawFigureProvider()`

Method Summary
`static IFigureProvider` `getDefault()`
`org.eclipse.draw2d.IFigure` `getFigure(java.lang.Object object)`

Methods inherited from class org.eclipse.amp.agf.gef.DefaultFigureProvider
`isColorMutable, isFigureUpdateable, isHandlingColor, updateFigure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleDrawFigureProvider

    public SimpleDrawFigureProvider()

Method Detail

### getFigure

    public org.eclipse.draw2d.IFigure getFigure(java.lang.Object object)

  Specified by:
    `getFigure` in interface `IFigureProvider`
  Overrides:
    `getFigure` in class `DefaultFigureProvider`
  Returns:
  See Also:
    `IFigureProvider.getFigure(java.lang.Object)`

### getDefault

    public static IFigureProvider getDefault()